javax.faces.flow.builder

## Class ReturnBuilder

- java.lang.Object
- - javax.faces.flow.builder.ReturnBuilder

- All Implemented Interfaces:
    NodeBuilder

      public abstract class ReturnBuilder
      extends Object
      implements NodeBuilder

  Create a return node in the current `Flow`.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReturnBuilder` | `fromOutcome(String outcome)` Set the outcome of the current return node.
    `abstract ReturnBuilder` | `fromOutcome(ValueExpression outcome)` Set the outcome of the current return node.
    `abstract ReturnBuilder` | `markAsStartNode()` Mark this node as the start node in the flow.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnBuilder

          public ReturnBuilder()

  - ### Method Detail

    - #### fromOutcome

          public abstract ReturnBuilder fromOutcome(String outcome)

      Set the outcome of the current return node.

      Parameters:
        `outcome` - A `ValueExpression` String `String` that will be the outcome of the return.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### fromOutcome

          public abstract ReturnBuilder fromOutcome(ValueExpression outcome)

      Set the outcome of the current return node.

      Parameters:
        `outcome` - A `ValueExpression` `String` that will be the outcome of the return.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### markAsStartNode

          public abstract ReturnBuilder markAsStartNode()

      Description copied from interface: `NodeBuilder`

      Mark this node as the start node in the flow. Any other node that had been marked as the start node will no longer be the start node.

      Specified by:
        `markAsStartNode` in interface `NodeBuilder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.